<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxICanvas2D (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxICanvas2D (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6,"i22":6,"i23":6,"i24":6,"i25":6,"i26":6,"i27":6,"i28":6,"i29":6,"i30":6,"i31":6,"i32":6,"i33":6,"i34":6,"i35":6,"i36":6,"i37":6,"i38":6,"i39":6,"i40":6,"i41":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxICanvas2D.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">import hk.quantr.mxgraph.canvas</a></div>
<h2 title="Interface mxICanvas2D" class="title">Interface mxICanvas2D</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><code><a href="mxGraphicsCanvas2D.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a></code></dd>
</dl>
<hr>
<pre>public interface <span class="typeNameLabel">mxICanvas2D</span></pre>
<div class="block">Requirements for implementing technologies:
 
 - Path rendering (move, line, quad, curve, arc)
 - Images, flip v/h, aspect, alpha (PNG, JPG, GIF)
 - Linear gradients (in all four directions)
 - Transparency, fill and stroke
 - Rotation, flip v/h
 - Font rendering
 - Dash patterns
 - Clipping by path (not just rectangle)
 - Alpha gradients (for glass effect)
 - Encode result as image (PNG, JPG)</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#begin()">begin</a></span>()</code></th>
<td class="colLast">
<div class="block">Begins a new path.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#close()">close</a></span>()</code></th>
<td class="colLast">
<div class="block">Closes the current path.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#curveTo(double,double,double,double,double,double)">curveTo</a></span>&#8203;(double&nbsp;x1,
       double&nbsp;y1,
       double&nbsp;x2,
       double&nbsp;y2,
       double&nbsp;x3,
       double&nbsp;y3)</code></th>
<td class="colLast">
<div class="block">Draws a bezier curve to the given point.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ellipse(double,double,double,double)">ellipse</a></span>&#8203;(double&nbsp;x,
       double&nbsp;y,
       double&nbsp;w,
       double&nbsp;h)</code></th>
<td class="colLast">
<div class="block">Next fill or stroke should draw an ellipse.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fill()">fill</a></span>()</code></th>
<td class="colLast">
<div class="block">Fills the current path.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fillAndStroke()">fillAndStroke</a></span>()</code></th>
<td class="colLast">
<div class="block">Fills and paints the outline of the current path.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#image(double,double,double,double,java.lang.String,boolean,boolean,boolean)">image</a></span>&#8203;(double&nbsp;x,
     double&nbsp;y,
     double&nbsp;w,
     double&nbsp;h,
     java.lang.String&nbsp;src,
     boolean&nbsp;aspect,
     boolean&nbsp;flipH,
     boolean&nbsp;flipV)</code></th>
<td class="colLast">
<div class="block">Draws the given image.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#lineTo(double,double)">lineTo</a></span>&#8203;(double&nbsp;x,
      double&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Draws a line to the given path.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#moveTo(double,double)">moveTo</a></span>&#8203;(double&nbsp;x,
      double&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Moves to the given path.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#quadTo(double,double,double,double)">quadTo</a></span>&#8203;(double&nbsp;x1,
      double&nbsp;y1,
      double&nbsp;x2,
      double&nbsp;y2)</code></th>
<td class="colLast">
<div class="block">Draws a quadratic curve to the given point.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#rect(double,double,double,double)">rect</a></span>&#8203;(double&nbsp;x,
    double&nbsp;y,
    double&nbsp;w,
    double&nbsp;h)</code></th>
<td class="colLast">
<div class="block">Next fill or stroke should draw a rectangle.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#restore()">restore</a></span>()</code></th>
<td class="colLast">
<div class="block">Restores the previous state of the canvas.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#rotate(double,boolean,boolean,double,double)">rotate</a></span>&#8203;(double&nbsp;theta,
      boolean&nbsp;flipH,
      boolean&nbsp;flipV,
      double&nbsp;cx,
      double&nbsp;cy)</code></th>
<td class="colLast">
<div class="block">Rotates the canvas by the given angle around the given center.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#roundrect(double,double,double,double,double,double)">roundrect</a></span>&#8203;(double&nbsp;x,
         double&nbsp;y,
         double&nbsp;w,
         double&nbsp;h,
         double&nbsp;dx,
         double&nbsp;dy)</code></th>
<td class="colLast">
<div class="block">Next fill or stroke should draw a round rectangle.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#save()">save</a></span>()</code></th>
<td class="colLast">
<div class="block">Saves the current state of the canvas.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#scale(double)">scale</a></span>&#8203;(double&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Uniformaly scales the canvas by the given amount.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setAlpha(double)">setAlpha</a></span>&#8203;(double&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Default value 1.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDashed(boolean)">setDashed</a></span>&#8203;(boolean&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the dashed state.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDashed(boolean,boolean)">setDashed</a></span>&#8203;(boolean&nbsp;value,
         boolean&nbsp;fixDash)</code></th>
<td class="colLast">
<div class="block">Sets the dashed state.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDashPattern(java.lang.String)">setDashPattern</a></span>&#8203;(java.lang.String&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the dash pattern.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setFillAlpha(double)">setFillAlpha</a></span>&#8203;(double&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Default value 1.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setFillColor(java.lang.String)">setFillColor</a></span>&#8203;(java.lang.String&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Default value <a href="../util/mxConstants.html#NONE"><code>mxConstants.NONE</code></a>.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setFontBackgroundColor(java.lang.String)">setFontBackgroundColor</a></span>&#8203;(java.lang.String&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Default value "#000000".</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setFontBorderColor(java.lang.String)">setFontBorderColor</a></span>&#8203;(java.lang.String&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Default value "#000000".</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setFontColor(java.lang.String)">setFontColor</a></span>&#8203;(java.lang.String&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Default value "#000000".</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setFontFamily(java.lang.String)">setFontFamily</a></span>&#8203;(java.lang.String&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Default value <a href="../util/mxConstants.html#DEFAULT_FONTFAMILY"><code>mxConstants.DEFAULT_FONTFAMILY</code></a>.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setFontSize(double)">setFontSize</a></span>&#8203;(double&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Default value <a href="../util/mxConstants.html#DEFAULT_FONTSIZE"><code>mxConstants.DEFAULT_FONTSIZE</code></a>.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setFontStyle(int)">setFontStyle</a></span>&#8203;(int&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Default value 0.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setGradient(java.lang.String,java.lang.String,double,double,double,double,java.lang.String,double,double)">setGradient</a></span>&#8203;(java.lang.String&nbsp;color1,
           java.lang.String&nbsp;color2,
           double&nbsp;x,
           double&nbsp;y,
           double&nbsp;w,
           double&nbsp;h,
           java.lang.String&nbsp;direction,
           double&nbsp;alpha1,
           double&nbsp;alpha2)</code></th>
<td class="colLast">
<div class="block">Prepares the canvas to draw a gradient.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setLineCap(java.lang.String)">setLineCap</a></span>&#8203;(java.lang.String&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the linecap.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setLineJoin(java.lang.String)">setLineJoin</a></span>&#8203;(java.lang.String&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the linejoin.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setMiterLimit(double)">setMiterLimit</a></span>&#8203;(double&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the miterlimit.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setShadow(boolean)">setShadow</a></span>&#8203;(boolean&nbsp;enabled)</code></th>
<td class="colLast">
<div class="block">Enables or disables the painting of shadows.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setShadowAlpha(double)">setShadowAlpha</a></span>&#8203;(double&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Default value <a href="../util/mxConstants.html#NONE"><code>mxConstants.NONE</code></a>.</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setShadowColor(java.lang.String)">setShadowColor</a></span>&#8203;(java.lang.String&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Default value <a href="../util/mxConstants.html#NONE"><code>mxConstants.NONE</code></a>.</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setShadowOffset(double,double)">setShadowOffset</a></span>&#8203;(double&nbsp;dx,
               double&nbsp;dy)</code></th>
<td class="colLast">
<div class="block">Default value <a href="../util/mxConstants.html#NONE"><code>mxConstants.NONE</code></a>.</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setStrokeAlpha(double)">setStrokeAlpha</a></span>&#8203;(double&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Default value 1.</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setStrokeColor(java.lang.String)">setStrokeColor</a></span>&#8203;(java.lang.String&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the stroke color.</div>
</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setStrokeWidth(double)">setStrokeWidth</a></span>&#8203;(double&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the stroke width.</div>
</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#stroke()">stroke</a></span>()</code></th>
<td class="colLast">
<div class="block">Paints the outline of the current path.</div>
</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#text(double,double,double,double,java.lang.String,java.lang.String,java.lang.String,boolean,java.lang.String,java.lang.String,boolean,double,java.lang.String)">text</a></span>&#8203;(double&nbsp;x,
    double&nbsp;y,
    double&nbsp;w,
    double&nbsp;h,
    java.lang.String&nbsp;str,
    java.lang.String&nbsp;align,
    java.lang.String&nbsp;valign,
    boolean&nbsp;wrap,
    java.lang.String&nbsp;format,
    java.lang.String&nbsp;overflow,
    boolean&nbsp;clip,
    double&nbsp;rotation,
    java.lang.String&nbsp;dir)</code></th>
<td class="colLast">
<div class="block">Draws the given string.</div>
</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#translate(double,double)">translate</a></span>&#8203;(double&nbsp;dx,
         double&nbsp;dy)</code></th>
<td class="colLast">
<div class="block">Translates the canvas by the given amount.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="save()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre class="methodSignature">void&nbsp;save()</pre>
<div class="block">Saves the current state of the canvas.</div>
</li>
</ul>
<a id="restore()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>restore</h4>
<pre class="methodSignature">void&nbsp;restore()</pre>
<div class="block">Restores the previous state of the canvas.</div>
</li>
</ul>
<a id="scale(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>scale</h4>
<pre class="methodSignature">void&nbsp;scale&#8203;(double&nbsp;value)</pre>
<div class="block">Uniformaly scales the canvas by the given amount.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The new scale value.</dd>
</dl>
</li>
</ul>
<a id="translate(double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>translate</h4>
<pre class="methodSignature">void&nbsp;translate&#8203;(double&nbsp;dx,
               double&nbsp;dy)</pre>
<div class="block">Translates the canvas by the given amount.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dx</code> - X-coordinate of the translation.</dd>
<dd><code>dy</code> - Y-coordinate of the translation.</dd>
</dl>
</li>
</ul>
<a id="rotate(double,boolean,boolean,double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rotate</h4>
<pre class="methodSignature">void&nbsp;rotate&#8203;(double&nbsp;theta,
            boolean&nbsp;flipH,
            boolean&nbsp;flipV,
            double&nbsp;cx,
            double&nbsp;cy)</pre>
<div class="block">Rotates the canvas by the given angle around the given center. This
 method may add rendering overhead and should be used with care.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>theta</code> - Rotation angle in degrees (0 - 360).</dd>
<dd><code>flipH</code> - Specifies if drawing should be flipped horizontally.</dd>
<dd><code>flipV</code> - Specifies if drawing should be flipped vertically.</dd>
<dd><code>cx</code> - X-coordinate of the center point.</dd>
<dd><code>cy</code> - Y-coordinate of the center point.</dd>
</dl>
</li>
</ul>
<a id="setStrokeWidth(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStrokeWidth</h4>
<pre class="methodSignature">void&nbsp;setStrokeWidth&#8203;(double&nbsp;value)</pre>
<div class="block">Sets the stroke width. This should default to 1 if unset.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Width of the stroke. The value should be multiplied by the
 current scale.</dd>
</dl>
</li>
</ul>
<a id="setStrokeColor(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStrokeColor</h4>
<pre class="methodSignature">void&nbsp;setStrokeColor&#8203;(java.lang.String&nbsp;value)</pre>
<div class="block">Sets the stroke color. This should default to <a href="../util/mxConstants.html#NONE"><code>mxConstants.NONE</code></a>
 if unset.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Hex representation of the color or <a href="../util/mxConstants.html#NONE"><code>mxConstants.NONE</code></a>.</dd>
</dl>
</li>
</ul>
<a id="setDashed(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDashed</h4>
<pre class="methodSignature">void&nbsp;setDashed&#8203;(boolean&nbsp;value)</pre>
<div class="block">Sets the dashed state. This should default to false if unset.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Boolean representing the dashed state.</dd>
</dl>
</li>
</ul>
<a id="setDashed(boolean,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDashed</h4>
<pre class="methodSignature">void&nbsp;setDashed&#8203;(boolean&nbsp;value,
               boolean&nbsp;fixDash)</pre>
<div class="block">Sets the dashed state. This should default to false if unset.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Boolean representing the dashed state.</dd>
</dl>
</li>
</ul>
<a id="setDashPattern(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDashPattern</h4>
<pre class="methodSignature">void&nbsp;setDashPattern&#8203;(java.lang.String&nbsp;value)</pre>
<div class="block">Sets the dash pattern. This should default to "3 3" if unset.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Space separated list of floats representing the dash
 pattern. The value should be multiplied by the current scale.</dd>
</dl>
</li>
</ul>
<a id="setLineCap(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLineCap</h4>
<pre class="methodSignature">void&nbsp;setLineCap&#8203;(java.lang.String&nbsp;value)</pre>
<div class="block">Sets the linecap. This should default to "flat" if unset.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - "flat", "square" or "round".</dd>
</dl>
</li>
</ul>
<a id="setLineJoin(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLineJoin</h4>
<pre class="methodSignature">void&nbsp;setLineJoin&#8203;(java.lang.String&nbsp;value)</pre>
<div class="block">Sets the linejoin. This should default to "miter" if unset.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - "miter", "round" or "bevel".</dd>
</dl>
</li>
</ul>
<a id="setMiterLimit(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMiterLimit</h4>
<pre class="methodSignature">void&nbsp;setMiterLimit&#8203;(double&nbsp;value)</pre>
<div class="block">Sets the miterlimit. This should default to 10 if unset.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - </dd>
</dl>
</li>
</ul>
<a id="setFontSize(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFontSize</h4>
<pre class="methodSignature">void&nbsp;setFontSize&#8203;(double&nbsp;value)</pre>
<div class="block">Default value <a href="../util/mxConstants.html#DEFAULT_FONTSIZE"><code>mxConstants.DEFAULT_FONTSIZE</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - </dd>
</dl>
</li>
</ul>
<a id="setFontColor(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFontColor</h4>
<pre class="methodSignature">void&nbsp;setFontColor&#8203;(java.lang.String&nbsp;value)</pre>
<div class="block">Default value "#000000".</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Hex representation of the color or <a href="../util/mxConstants.html#NONE"><code>mxConstants.NONE</code></a>.</dd>
</dl>
</li>
</ul>
<a id="setFontFamily(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFontFamily</h4>
<pre class="methodSignature">void&nbsp;setFontFamily&#8203;(java.lang.String&nbsp;value)</pre>
<div class="block">Default value <a href="../util/mxConstants.html#DEFAULT_FONTFAMILY"><code>mxConstants.DEFAULT_FONTFAMILY</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - </dd>
</dl>
</li>
</ul>
<a id="setFontStyle(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFontStyle</h4>
<pre class="methodSignature">void&nbsp;setFontStyle&#8203;(int&nbsp;value)</pre>
<div class="block">Default value 0. See <a href="../util/mxConstants.html#STYLE_FONTSTYLE"><code>mxConstants.STYLE_FONTSTYLE</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - </dd>
</dl>
</li>
</ul>
<a id="setFontBackgroundColor(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFontBackgroundColor</h4>
<pre class="methodSignature">void&nbsp;setFontBackgroundColor&#8203;(java.lang.String&nbsp;value)</pre>
<div class="block">Default value "#000000".</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Hex representation of the color or <a href="../util/mxConstants.html#NONE"><code>mxConstants.NONE</code></a>.</dd>
</dl>
</li>
</ul>
<a id="setFontBorderColor(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFontBorderColor</h4>
<pre class="methodSignature">void&nbsp;setFontBorderColor&#8203;(java.lang.String&nbsp;value)</pre>
<div class="block">Default value "#000000".</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Hex representation of the color or <a href="../util/mxConstants.html#NONE"><code>mxConstants.NONE</code></a>.</dd>
</dl>
</li>
</ul>
<a id="setAlpha(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAlpha</h4>
<pre class="methodSignature">void&nbsp;setAlpha&#8203;(double&nbsp;value)</pre>
<div class="block">Default value 1. This method may add rendering overhead and should be
 used with care.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - </dd>
</dl>
</li>
</ul>
<a id="setFillAlpha(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFillAlpha</h4>
<pre class="methodSignature">void&nbsp;setFillAlpha&#8203;(double&nbsp;value)</pre>
<div class="block">Default value 1. This method may add rendering overhead and should be
 used with care.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - </dd>
</dl>
</li>
</ul>
<a id="setStrokeAlpha(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStrokeAlpha</h4>
<pre class="methodSignature">void&nbsp;setStrokeAlpha&#8203;(double&nbsp;value)</pre>
<div class="block">Default value 1. This method may add rendering overhead and should be
 used with care.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - </dd>
</dl>
</li>
</ul>
<a id="setFillColor(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFillColor</h4>
<pre class="methodSignature">void&nbsp;setFillColor&#8203;(java.lang.String&nbsp;value)</pre>
<div class="block">Default value <a href="../util/mxConstants.html#NONE"><code>mxConstants.NONE</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Hex representation of the color or <a href="../util/mxConstants.html#NONE"><code>mxConstants.NONE</code></a>.</dd>
</dl>
</li>
</ul>
<a id="setGradient(java.lang.String,java.lang.String,double,double,double,double,java.lang.String,double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGradient</h4>
<pre class="methodSignature">void&nbsp;setGradient&#8203;(java.lang.String&nbsp;color1,
                 java.lang.String&nbsp;color2,
                 double&nbsp;x,
                 double&nbsp;y,
                 double&nbsp;w,
                 double&nbsp;h,
                 java.lang.String&nbsp;direction,
                 double&nbsp;alpha1,
                 double&nbsp;alpha2)</pre>
<div class="block">Prepares the canvas to draw a gradient.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>color1</code> - </dd>
<dd><code>color2</code> - </dd>
<dd><code>x</code> - </dd>
<dd><code>y</code> - </dd>
<dd><code>w</code> - </dd>
<dd><code>h</code> - </dd>
<dd><code>direction</code> - Direction may be null. Use default value
                <a href="../util/mxConstants.html#DIRECTION_SOUTH"><code>mxConstants.DIRECTION_SOUTH</code></a>.</dd>
</dl>
</li>
</ul>
<a id="setShadow(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setShadow</h4>
<pre class="methodSignature">void&nbsp;setShadow&#8203;(boolean&nbsp;enabled)</pre>
<div class="block">Enables or disables the painting of shadows.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabled</code> - Whether the shadow should be enabled.</dd>
</dl>
</li>
</ul>
<a id="setShadowColor(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setShadowColor</h4>
<pre class="methodSignature">void&nbsp;setShadowColor&#8203;(java.lang.String&nbsp;value)</pre>
<div class="block">Default value <a href="../util/mxConstants.html#NONE"><code>mxConstants.NONE</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Hex representation of the color or <a href="../util/mxConstants.html#NONE"><code>mxConstants.NONE</code></a>.</dd>
</dl>
</li>
</ul>
<a id="setShadowAlpha(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setShadowAlpha</h4>
<pre class="methodSignature">void&nbsp;setShadowAlpha&#8203;(double&nbsp;value)</pre>
<div class="block">Default value <a href="../util/mxConstants.html#NONE"><code>mxConstants.NONE</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Hex representation of the color or <a href="../util/mxConstants.html#NONE"><code>mxConstants.NONE</code></a>.</dd>
</dl>
</li>
</ul>
<a id="setShadowOffset(double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setShadowOffset</h4>
<pre class="methodSignature">void&nbsp;setShadowOffset&#8203;(double&nbsp;dx,
                     double&nbsp;dy)</pre>
<div class="block">Default value <a href="../util/mxConstants.html#NONE"><code>mxConstants.NONE</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Hex representation of the color or <a href="../util/mxConstants.html#NONE"><code>mxConstants.NONE</code></a>.</dd>
</dl>
</li>
</ul>
<a id="rect(double,double,double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rect</h4>
<pre class="methodSignature">void&nbsp;rect&#8203;(double&nbsp;x,
          double&nbsp;y,
          double&nbsp;w,
          double&nbsp;h)</pre>
<div class="block">Next fill or stroke should draw a rectangle.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - </dd>
<dd><code>y</code> - </dd>
<dd><code>w</code> - </dd>
<dd><code>h</code> - </dd>
</dl>
</li>
</ul>
<a id="roundrect(double,double,double,double,double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>roundrect</h4>
<pre class="methodSignature">void&nbsp;roundrect&#8203;(double&nbsp;x,
               double&nbsp;y,
               double&nbsp;w,
               double&nbsp;h,
               double&nbsp;dx,
               double&nbsp;dy)</pre>
<div class="block">Next fill or stroke should draw a round rectangle.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - </dd>
<dd><code>y</code> - </dd>
<dd><code>w</code> - </dd>
<dd><code>h</code> - </dd>
<dd><code>dx</code> - </dd>
<dd><code>dy</code> - </dd>
</dl>
</li>
</ul>
<a id="ellipse(double,double,double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ellipse</h4>
<pre class="methodSignature">void&nbsp;ellipse&#8203;(double&nbsp;x,
             double&nbsp;y,
             double&nbsp;w,
             double&nbsp;h)</pre>
<div class="block">Next fill or stroke should draw an ellipse.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - </dd>
<dd><code>y</code> - </dd>
<dd><code>w</code> - </dd>
<dd><code>h</code> - </dd>
</dl>
</li>
</ul>
<a id="image(double,double,double,double,java.lang.String,boolean,boolean,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>image</h4>
<pre class="methodSignature">void&nbsp;image&#8203;(double&nbsp;x,
           double&nbsp;y,
           double&nbsp;w,
           double&nbsp;h,
           java.lang.String&nbsp;src,
           boolean&nbsp;aspect,
           boolean&nbsp;flipH,
           boolean&nbsp;flipV)</pre>
<div class="block">Draws the given image.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - </dd>
<dd><code>y</code> - </dd>
<dd><code>w</code> - </dd>
<dd><code>h</code> - </dd>
<dd><code>src</code> - </dd>
<dd><code>aspect</code> - </dd>
<dd><code>flipH</code> - </dd>
<dd><code>flipV</code> - </dd>
</dl>
</li>
</ul>
<a id="text(double,double,double,double,java.lang.String,java.lang.String,java.lang.String,boolean,java.lang.String,java.lang.String,boolean,double,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>text</h4>
<pre class="methodSignature">void&nbsp;text&#8203;(double&nbsp;x,
          double&nbsp;y,
          double&nbsp;w,
          double&nbsp;h,
          java.lang.String&nbsp;str,
          java.lang.String&nbsp;align,
          java.lang.String&nbsp;valign,
          boolean&nbsp;wrap,
          java.lang.String&nbsp;format,
          java.lang.String&nbsp;overflow,
          boolean&nbsp;clip,
          double&nbsp;rotation,
          java.lang.String&nbsp;dir)</pre>
<div class="block">Draws the given string. Possible values for format are empty string for
 plain text and html for HTML markup.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - </dd>
<dd><code>y</code> - </dd>
<dd><code>w</code> - </dd>
<dd><code>h</code> - </dd>
<dd><code>str</code> - </dd>
<dd><code>align</code> - </dd>
<dd><code>valign</code> - </dd>
<dd><code>wrap</code> - </dd>
<dd><code>format</code> - </dd>
<dd><code>overflow</code> - </dd>
<dd><code>clip</code> - </dd>
<dd><code>rotation</code> - </dd>
<dd><code>dir</code> - </dd>
</dl>
</li>
</ul>
<a id="begin()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>begin</h4>
<pre class="methodSignature">void&nbsp;begin()</pre>
<div class="block">Begins a new path.</div>
</li>
</ul>
<a id="moveTo(double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>moveTo</h4>
<pre class="methodSignature">void&nbsp;moveTo&#8203;(double&nbsp;x,
            double&nbsp;y)</pre>
<div class="block">Moves to the given path.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - </dd>
<dd><code>y</code> - </dd>
</dl>
</li>
</ul>
<a id="lineTo(double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lineTo</h4>
<pre class="methodSignature">void&nbsp;lineTo&#8203;(double&nbsp;x,
            double&nbsp;y)</pre>
<div class="block">Draws a line to the given path.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - </dd>
<dd><code>y</code> - </dd>
</dl>
</li>
</ul>
<a id="quadTo(double,double,double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>quadTo</h4>
<pre class="methodSignature">void&nbsp;quadTo&#8203;(double&nbsp;x1,
            double&nbsp;y1,
            double&nbsp;x2,
            double&nbsp;y2)</pre>
<div class="block">Draws a quadratic curve to the given point.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x1</code> - </dd>
<dd><code>y1</code> - </dd>
<dd><code>x2</code> - </dd>
<dd><code>y2</code> - </dd>
</dl>
</li>
</ul>
<a id="curveTo(double,double,double,double,double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>curveTo</h4>
<pre class="methodSignature">void&nbsp;curveTo&#8203;(double&nbsp;x1,
             double&nbsp;y1,
             double&nbsp;x2,
             double&nbsp;y2,
             double&nbsp;x3,
             double&nbsp;y3)</pre>
<div class="block">Draws a bezier curve to the given point.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x1</code> - </dd>
<dd><code>y1</code> - </dd>
<dd><code>x2</code> - </dd>
<dd><code>y2</code> - </dd>
<dd><code>x3</code> - </dd>
<dd><code>y3</code> - </dd>
</dl>
</li>
</ul>
<a id="close()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>close</h4>
<pre class="methodSignature">void&nbsp;close()</pre>
<div class="block">Closes the current path.</div>
</li>
</ul>
<a id="stroke()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stroke</h4>
<pre class="methodSignature">void&nbsp;stroke()</pre>
<div class="block">Paints the outline of the current path.</div>
</li>
</ul>
<a id="fill()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fill</h4>
<pre class="methodSignature">void&nbsp;fill()</pre>
<div class="block">Fills the current path.</div>
</li>
</ul>
<a id="fillAndStroke()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>fillAndStroke</h4>
<pre class="methodSignature">void&nbsp;fillAndStroke()</pre>
<div class="block">Fills and paints the outline of the current path.</div>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxICanvas2D.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
